use thiserror::Error;
use wasm_bindgen::JsValue;

#[derive(Debug, Error)]
pub enum ColorError {
    #[error("Invalid RGB value: {0}")]
    UnrecogniazedRGB(String),
    #[error("Some color component is out of bounds")]
    ComponentOutOfBounds,
    #[error("Unable to parse argument")]
    UnableToParseArgument,
    #[error("Unable to assemble output")]
    UnableToAssembleOutput,
}

impl Into<JsValue> for ColorError {
    fn into(self) -> JsValue {
        JsValue::from_str(&self.to_string())
    }
}
