import cx from 'clsx';
import styles from './Labeled.module.css';

type LabeledProps = {
  label: string;
  inline?: boolean;
  children: React.ReactNode;
};

export function Labeled({ label, inline = false, children }: LabeledProps) {
  return (
    <div className={cx(styles.labeled, inline && styles.inline)}>
      <label>{label}</label>
      {children}
    </div>
  );
}
